// Copyright(c) Alberto C. //
// Prova.cpp    - Esempio per le modalita' a 256 colori        - 03/02/2002 //
////

#include "graphics.h"
#include "svga256.h"
#include <stdio.h>
#include <conio.h>

void main () {
	for (int i=0;i<=4;i++) {
		//passaggio alla modalita' grafica i-esima
		if (init_graph (i,".")) {
			clrscr ();
			printf ("Errore nel caricamento del driver grafico.");
			return;
		}//if
		int maxx=getmaxx(),maxy=getmaxy();
		for (int j=0;j<maxx;j++) {
			setcolor (j%256);
			line (j,0,j,maxy);
		}//for
		char str[50];
		sprintf (str,"%03dx%03d: Premi un tasto.",maxx+1,maxy+1);
		setcolor (WHITE);
		outtextxy (maxx/2-80,maxy/2-10,str);
		getch ();
	}//for
	closegraph ();
}//init_graph
//
